from lxml import etree
# we work with lxml  within the etree environment

tree = etree.parse('../data/witt.xml')
root = tree.getroot()

print("READING an XML File with Findall\n")
print(etree.tostring(root))

# findall uses XPATH for locating. Starts with ROOT-Tag
#for s in root.findall('./text/ab/satz'): # get every <satz> Tag with XPATH 
for s in root.findall('.//satz'): # get every <satz> Tag with XPATH 
    print("\n SATZ >>")
    print(s.tag, s.attrib)

    print("\nText until the first inner TAG >>")
    print(s.text)

    print ("\ngo into the content >>") ## Ausdrucken des komplette Inhalts eines TAGS:
    for t in s.itertext():
        print(t)
    


