from lxml import etree
# we work with lxml  within the etree environment

##tree = etree.parse('../data/witt.xml')
tree = etree.parse('../data/witt_with_namespace.xml')
root = tree.getroot();

myns = {'ns':'http://www.tei-c.org/ns/1.0',
      'm':'http://www.w3.org/1998/Math/MathML'}

print("Working with Namespace\n")

# getiterator uses lxml locating. 
# Starts with ROOT-Tag
##for s in root.findall('.//{http://www.tei-c.org/ns/1.0}satz'): 
# get every  Tag with lxml
for s in root.getiterator('{*}*'): # get every <satz> Tag with XPATH 
    print("\n >>")
    print(s.tag, s.attrib)

    print("\nText until the first inner TAG >>")
    print(s.text)

    print ("\ngo into the content >>") ## Ausdrucken des komplette Inhalts eines TAGS:
    for t in s.itertext():
        print(t)
    


