from lxml import etree
parser = etree.XMLParser(dtd_validation=True)
tree = etree.parse("Ts-213_small.xml", parser)
dtd = etree.DTD("my_witt.dtd")
valid = dtd.validate(tree)
if (valid):
    print("XML was valid!")
else:
    print("XML was not valid:")
    print(dtd.error_log.filter_from_errors())
