import xml.etree.ElementTree as ET
tree = ET.parse('witt_with_namespace.xml')
root = tree.getroot();

ns = {'ns_satz':'http://www.tei-c.org/ns/1.0'}

print("READING an XML File with Findall\n")

# findall uses XPATH for locating. Starts with ROOT-Tag
##for s in root.findall('.//{http://www.tei-c.org/ns/1.0}satz'): # get every <satz> Tag with XPATH 
for s in root.findall('.//ns_satz:satz',ns): # get every <satz> Tag with XPATH 
    print("\n SATZ >>")
    print(s.tag, s.attrib)

    print("\nText until the first inner TAG >>")
    print(s.text)

    print ("\ngo into the content >>") ## Ausdrucken des komplette Inhalts eines TAGS:
    for t in s.itertext():
        print(t)
    


